;;;; adventofcode2020.asd

(asdf:defsystem #:adventofcode2020
  :description "Advent of Code 2020"
  :author "Jack Kinsey <journcy@gmail.com>"
  :version "0.0.1"
  :serial t
  :depends-on (:alexandria
               :arrow-macros
               :fiveam)
  :pathname "src/"
  :components ((:file "package")
               (:file "adventofcode2020"))
  :in-order-to ((test-op (test-op :adventofcode2020/test))))

(asdf:defsystem #:adventofcode2020/tests
  :description "Advent of Code 2020 test suite"
  :author "Jack Kinsey <journcy@gmail.com>"
  :depends-on (:adventofcode2020 :fiveam)
  :pathname "t/"
  :components ((:file "package")
               (:file "adventofcode2020"))
  :perform (test-op (o c) (symbol-call :5am :run! :adventofcode2020)))
