(in-package #:adventofcode2020)

(defmacro day (num var &body body)
  (let ((day-str (format nil "day~2,'0D" num)))
    `(let ((,var (alexandria:read-file-into-string ,(format nil "./res/~A" day-str))))
       ,@body)))

(defun part1 (str)
  (time (format t "Part 1: ~A~%" str)))

(defun part2 (str)
  (time (format t "Part 2: ~A~%" str)))

